package net.sourceforge.orbroker.velocity;

import java.util.logging.Level;
import net.sourceforge.orbroker.Broker;

import org.apache.velocity.runtime.RuntimeServices;
import org.apache.velocity.runtime.log.LogChute;
import org.apache.velocity.runtime.log.LogSystem;

/**
 * Wrapper for Velocity logging.
 * @author Nils Kilden-Pedersen
 * Updated 15/02/2008 by Gilberto Caetano de Andrade 
 * These changes were suggested by Nils.
 */
public class LogWrapper implements LogSystem {

    private static final Level[] logLevels = new Level[5];

    static {
        logLevels[LogChute.TRACE_ID + 1] = Level.FINEST; 
        logLevels[LogChute.DEBUG_ID + 1] = Level.FINER;
        logLevels[LogChute.INFO_ID + 1] = Level.FINE;
        logLevels[LogChute.WARN_ID + 1] = Level.WARNING;
        logLevels[LogChute.ERROR_ID + 1] = Level.SEVERE;
    }

    /**
     * @see org.apache.velocity.runtime.log.LogSystem#init(org.apache.velocity.runtime.RuntimeServices)
     */
    public void init(RuntimeServices rs) throws Exception {
        return;
    }

    /**
     * @see org.apache.velocity.runtime.log.LogSystem#logVelocityMessage(int,
     *          java.lang.String)
     */
    public void logVelocityMessage(int level, String message) {
        Broker.log(logLevels[level + 1], message);
    }
}
